<?php namespace Site21\ShopaholicProductExtender\Classes\Event\Offer;

use Lovata\Toolbox\Classes\Event\AbstractBackendFieldHandler;

use Lovata\Shopaholic\Models\Offer;
use Lovata\Shopaholic\Controllers\Offers;

class ExtendOfferFieldsHandler extends AbstractBackendFieldHandler
{
    protected function extendFields($obWidget)
    {
		$obWidget->removeField('measure');
		$obWidget->removeField('weight');
		$obWidget->removeField('height');
		$obWidget->removeField('length');
		$obWidget->removeField('width');
		$obWidget->removeField('quantity_in_unit');
		$obWidget->removeField('measure_of_unit');
		$obWidget->removeField('external_id');
    }
    
    protected function getModelClass() : string
    {
        return Offer::class;
    }

    protected function getControllerClass() : string
    {
        return Offers::class;
    }
}